## zita-dc1 0.3.3

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/zita-dc1

VERSION = 0.3.3
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -Wall -ffast-math -pthread
CXXFLAGS += -march=native


all:	zita-dc1


ZITA-DC1_O = zita-dc1.o styles.o jclient.o mainwin.o png2img.o guiclass.o \
	button.o rotary.o gmeter.o dyncom1.o
zita-dc1:	CPPFLAGS += $(shell pkg-config --cflags freetype2)
zita-dc1:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lpthread \
	-lcairo -lXft -lX11 -lrt
zita-dc1:	$(ZITA-DC1_O) 
	g++ $(LDFLAGS) -o $@ $(ZITA-DC1_O) $(LDLIBS)
$(ZITA-DC1_O):
-include $(ZITA-DC1_O:%.o=%.d)



install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 zita-dc1 $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/zita-dc1
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-dc1

=== debian/changelog ===
zita-dc1 (0.3.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:33 +1100

zita-dc1 (0.3.3-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:48:22 +0000

zita-dc1 (0.3.3-2) unstable; urgency=medium

  * Update Makefile patch to fix cross building.
    Thanks to Helmut Grohne! (Closes: #1003392)
  * Add a comment to the desktop file
  * Bump dh-compat to 13
  * Bump Standards Version to 4.6.1
  * d/rules: Remove unneeded linker flags

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 16 Oct 2022 22:53:05 +0200

zita-dc1 (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #951397)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 23 Feb 2020 15:48:56 +0100

=== debian/control ===
Source: zita-dc1
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libfreetype6-dev,
 libjack-dev,
 libpng-dev,
 pkg-config
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/zita-dc1.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-dc1
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio

Package: zita-dc1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Dynamics Compressor
 Dynamic range compression reduces the volume of loud sounds or amplifies quiet
 sounds thus reducing or compressing an audio signal's dynamic range. DC1
 provides a dynamics compressor for use with JACK Audio Connection Kit. It can
 be used as master effect or as an effect on individual instrument tracks as
 well.

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-dc1-(.*)\.tar\.bz2
